Skip to main content
`Ctrl`+`K`

# Spine

class astropy.visualization.wcsaxes.frame.Spine(parent_axes, transform, *, data_func=None)

  Bases: `object`

  A single side of an axes.

  This does not need to be a straight line, but represents a ‘side’ when determining which part of the frame to put labels and ticks on.

  Parameters:
    parent_axes `WCSAxes`

      The parent axes

    transform `Transform`

      The transform from data to world

    data_func `python:callable()`

      If not `None`, it should be a function that returns the appropriate spine data when called with this object as the sole argument. If `None`, the spine data must be manually updated in `update_spines()`.

  Attributes Summary

  `data` |
  `pixel` |
  `world` |

  Attributes Documentation

  data
  pixel
  world